OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class CitrixPlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin
          org.opennms.netmgt.capsd.AbstractTcpPlugin
              org.opennms.netmgt.capsd.CitrixPlugin

All Implemented Interfaces:
  Plugin

public final class CitrixPlugin
extends AbstractTcpPlugin

This class is designed to be used by the capabilities daemon to test for the existance of an Citrix server on remote interfaces. The class implements the Plugin interface that allows it to be used along with other plugins by the daemon.

Author:
  Jason , OpenNMS

Field Summary
`private static int` `DEFAULT_PORT` The default port on which the host is checked to see if it supports Citrix.
`private static int` `DEFAULT_RETRY` Default number of retries for Citrix requests.
`private static int` `DEFAULT_TIMEOUT` Default timeout (in milliseconds) for Citrix requests.
`private static java.lang.String` `PROTOCOL_NAME` The capability name of the plugin.

Fields inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`m_defaultPort, m_defaultRetry, m_defaultTimeout, m_pluginName, m_protocolName`

Constructor Summary
`CitrixPlugin()`

Method Summary
`protected boolean` `checkProtocol(java.net.Socket socket, ConnectionConfig config)`

Methods inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`checkConnection, closeSocket, createConnectionConfig, getConnectionConfigList, getKeyedInteger, getKeyedIntegerArray, getPluginName, getProtocolName, isProtocolSupported, isProtocolSupported, populateConnectionConfig, preconnectCheck, saveConfig, saveKeyedInteger, setPluginName, wrapSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    private static final int DEFAULT_PORT

  The default port on which the host is checked to see if it supports Citrix.

  See Also:
    Constant Field Values

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default number of retries for Citrix requests.

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout (in milliseconds) for Citrix requests.

  See Also:
    Constant Field Values

### PROTOCOL_NAME

    private static final java.lang.String PROTOCOL_NAME

  The capability name of the plugin.

  See Also:
    Constant Field Values

Constructor Detail

### CitrixPlugin

    public CitrixPlugin()

Method Detail

### checkProtocol

    protected boolean checkProtocol(java.net.Socket socket,
                                    ConnectionConfig config)
                             throws java.io.IOException

  Specified by:
    `checkProtocol` in class `AbstractTcpPlugin`
  Parameters:
    `socket` -
  Returns:
  Throws:
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.